summaryrefslogtreecommitdiff
path: root/qa/644
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/644
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/644')
-rwxr-xr-xqa/64445
1 files changed, 45 insertions, 0 deletions
diff --git a/qa/644 b/qa/644
new file mode 100755
index 0000000..135e498
--- /dev/null
+++ b/qa/644
@@ -0,0 +1,45 @@
+#! /bin/sh
+# PCP QA Test No. 644
+# concurrent Rebuild executions trash the PMNS?
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.*
+trap "_done; exit \$status" 0 1 2 3 15
+
+_done()
+{
+ cd $PCP_VAR_DIR/pmns
+ $sudo ./Rebuild -u </dev/null >/dev/null 2>&1
+ $sudo rm -f $tmp.*
+}
+
+# real QA test starts here
+cd $PCP_VAR_DIR/pmns
+
+for i in 1 2 3 4 5
+do
+ $sudo ./Rebuild -u </dev/null >$tmp.out.$i 2>&1 &
+done
+
+wait
+
+for i in 1 2 3 4 5
+do
+ echo
+ echo "=== Rebuild #$i ==="
+ cat $tmp.out.$i
+done
+
+# success, all done
+exit